## GOPersist

GOPersist

## Synopsis

                        GOPersist;
    #define             GO_PERSIST_TYPE
    #define             GO_PERSIST                          (o)
    #define             IS_GO_PERSIST                       (o)
    #define             GO_PERSIST_CLASS                    (k)
    #define             IS_GO_PERSIST_CLASS                 (k)
    #define             GO_PERSIST_GET_CLASS                (o)
    GType               go_persist_get_type                 (void);
    gboolean            go_persist_dom_load                 (GOPersist *gp,
                                                             xmlNode *node);
    void                go_persist_sax_save                 (GOPersist const *gp,
                                                             GsfXMLOut *output);
    void                go_persist_prep_sax                 (GOPersist *gp,
                                                             GsfXMLIn *xin,
                                                             xmlChar const **attrs);
    #define             GO_PARAM_PERSISTENT

## Object Hierarchy

      GInterface
       +----GOPersist

## Known Implementations

GOPersist is implemented by GogStyle and GogErrorBar.

## Description

## Details

### GOPersist

    typedef struct _GOPersist GOPersist;

### GO_PERSIST_TYPE

    #define GO_PERSIST_TYPE		 (go_persist_get_type ())

### GO_PERSIST()

    #define GO_PERSIST(o)		 (G_TYPE_CHECK_INSTANCE_CAST ((o), GO_PERSIST_TYPE, GOPersist))

`o` : |

### IS_GO_PERSIST()

    #define IS_GO_PERSIST(o)	 (G_TYPE_CHECK_INSTANCE_TYPE ((o), GO_PERSIST_TYPE))

`o` : |

### GO_PERSIST_CLASS()

    #define GO_PERSIST_CLASS(k)	 (G_TYPE_CHECK_CLASS_CAST ((k), GO_PERSIST_TYPE, GOPersistClass))

`k` : |

### IS_GO_PERSIST_CLASS()

    #define IS_GO_PERSIST_CLASS(k)	 (G_TYPE_CHECK_CLASS_TYPE ((k), GO_PERSIST_TYPE))

`k` : |

### GO_PERSIST_GET_CLASS()

    #define GO_PERSIST_GET_CLASS(o)	 (G_TYPE_INSTANCE_GET_INTERFACE ((o), GO_PERSIST_TYPE, GOPersistClass))

`o` : |

### go_persist_get_type ()

    GType               go_persist_get_type                 (void);

Returns : |

### go_persist_dom_load ()

    gboolean            go_persist_dom_load                 (GOPersist *gp,
                                                             xmlNode *node);

`gp` : |
`node` : |
Returns : |

### go_persist_sax_save ()

    void                go_persist_sax_save                 (GOPersist const *gp,
                                                             GsfXMLOut *output);

`gp` : |
`output` : |

### go_persist_prep_sax ()

    void                go_persist_prep_sax                 (GOPersist *gp,
                                                             GsfXMLIn *xin,
                                                             xmlChar const **attrs);

`gp` : |
`xin` : |
`attrs` : |

### GO_PARAM_PERSISTENT

    #define GO_PARAM_PERSISTENT	(1 << (G_PARAM_USER_SHIFT+0))